# Package org.apache.pdfbox.contentstream.operator.state

Class Summary
Concatenate: cm: Concatenate matrix to current transformation matrix.
Restore: Q: Restore the graphics state.
Save: q: Save the graphics state.
SetFlatness: i: Set the flatness tolerance.
SetGraphicsStateParameters: gs: Set parameters from graphics state parameter dictionary.
SetLineCapStyle: J: Set the line cap style.
SetLineDashPattern: d: Set the line dash pattern.
SetLineJoinStyle: j: Set the line join style.
SetLineMiterLimit: M: Set miter limit.
SetLineWidth: w: Set line width.
SetMatrix: Tm: Set text matrix and text line matrix.
SetRenderingIntent: ri: Set the rendering intent.

Exception Summary
EmptyGraphicsStackException: Throw when restore is executed when the graphics stack is empty.